import request from '@/utils/request'


export function edit(data) {
  return request({
    url: '/market/firminfo/edit',
    method: 'post',
    data: data
  })
}
// 查询firminfoList列表
export function listFirminfo(query) {
  return request({
    url: '/market/firminfo/list',
    method: 'get',
    params: query
  })
}

// 查询firminfoList详细
export function getFirminfo() {
  return request({
    url: '/market/firminfo/query',
    method: 'get'
  })
}

// 新增firminfoList
export function addFirminfo(data) {
  return request({
    url: '/market/firminfo',
    method: 'post',
    data: data
  })
}

// 修改firminfoList
export function updateFirminfo(data) {
  return request({
    url: '/market/firminfo',
    method: 'put',
    data: data
  })
}

// 删除firminfoList
export function delFirminfo(firmId) {
  return request({
    url: '/market/firminfo/' + firmId,
    method: 'delete'
  })
}
